import fetch from 'utils/sagaCloudFetch'
import tools from 'utils/tools'
import { api, sass, img, physics, echarts, zone } from 'api/config'


//获取label标签内容
export function getEquipmentLabel(
    code,
    projectId
) {
    // return fetch({ method: 'GET', url: `${physics}/data-platform-3/infocode/query_property?projectId=${projectId}&type=${code}&enrich=true` })
    return fetch({ method: 'GET', url: `${physics}/data-platform-3/infocode/complex_query?projectId=${projectId}&type=${code}&combine=true&enrich=true` })
}
//获取资产value内容
export function getEquipmentValue(
    FmId,
    projectId,
    secret
) {
    let data = {
            "criterias": [
                { "id": FmId }
            ]
        }
        // return fetch({ method: 'POST', url: `${echarts}/data-platform-3/object/batch_query?projectId=${projectId}&secret=${secret}`, data })
    return fetch({ method: 'POST', url: `${physics}/data-platform-3/property/id_query?projectId=${projectId}&secret=${secret}`, data })
}

//获取系统或岗位的value内容
export function getwinValue(
    id,
    projectId,
    secret
) {
    let data = {
        "customInfo":true,
        "criterias": [
            { "id": id }
        ]
    }
    console.log(data)
    return fetch({ method: 'POST', url: `${physics}/data-platform-3/object/batch_query?projectId=${projectId}&secret=${secret}`, data })
}

//通过分精度获取折线图
export function getEcharts(
    id,
    code,
    period,
    FmId,
    startTime,
    endTime,
    secret
) {
    let data = {
        'criteria': {
            'id': FmId, //perjectId
            'code': code, //搜索的字符
            'period': period, //搜索精度
            'receivetime': {
                '$gte': startTime, //搜索开始时间
                '$lt': endTime //搜索结束时间
            }
        }
    }

    return fetch({ method: 'POST', url: `${echarts}/data-platform-3/hisdata/query_period_data?projectId=${id}&secret=${secret}`, data })
}

//获取动态参数，暂停使用
export function getparameter(
    arr,
    perjectId,
    secret
) {
    let data = {
        "criterias": arr
    }
    return fetch({ method: 'POST', url: `${echarts}/data-platform-3/parameter/batch_query_param?projectId=${perjectId}&secret=${secret}`, data })
}

//获取表达式情况下的表号功能号

export function getMarkNumber(
    arr,
    perjectId,
    secret
) {
    let data = {
        "criterias": arr
    }
    return fetch({ method: 'POST', url: `${echarts}/data-platform-3/object/query_part_info?projectId=${perjectId}&secret=${secret}`, data })
}

export function getNoPeriod(
    id,
    code,
    FmId,
    startTime,
    endTime,
    secret
) {
    let data = {
        'criteria': {
            'id': FmId, //perjectId
            'code': code, //搜索的字符
            'receivetime': {
                '$gte': startTime, //搜索开始时间
                '$lt': endTime //搜索结束时间
            }
        }
    }

    return fetch({ method: 'POST', url: `${echarts}/data-platform-3/hisdata/query_by_obj?projectId=${id}&secret=${secret}`, data })
}

//修改接口
export function updateMess(param) {
    let data = {
        criterias: [{
            id: param.id,
            infos: param.data
        }]
    }
    console.log(JSON.stringify(data))
    return fetch({ method: 'POST', url: `${physics}/data-platform-3/object/batch_update?projectId=${param.perjectId}&secret=${param.secret}`, data })
}

//all - 查询数据字典 --列表表头
export function getDataDictionary(param) {
    let data = param.data;
    return fetch({ method: 'POST', url: `${api}/datacenter/data-dictionary/project/query?type=${param.type}`, data, headers: {'ProjectId': param.projectId} })
}

//获取实例详情
export function getDetailById(param) {
    let code = param.id.slice(0,2),
        url = '',
        data = {};
    if(code == 'Eq'){ //设备
        url = '/datacenter/equip/query';
        data = {Filters: `EquipID = '${param.id}'`}
    } else if(code == 'Ec'){ //部件
        url = '/datacenter/component/query';
        data = {Filters: `EquipID = '${param.id}'`}
    } else if(code == 'Pe'){ //资产
        url = '/datacenter/property/query';
        data = {Filters: `EquipID = '${param.id}'`}
    } else if(code == 'Sp'){ //空间
        url = `/datacenter/${zone[param.type]}/query`;
        data = {Filters: `RoomID = '${param.id}'`}
    }
    console.log(data)
    return fetch({ method: 'POST', url: `${api}${url}`, data, headers: {'ProjectId': param.projectId} })
}

//修改实例
export function updateObjectById(param) {
    let code = param.id.slice(0,2),
        url = '',
        data = param.data;
    if(code == 'Eq'){ //设备
        url = '/datacenter/equip/update';
    } else if(code == 'Ec'){ //部件
        url = '/datacenter/component/update';
    } else if(code == 'Pe'){ //资产
        url = '/datacenter/property/update';
    } else if(code == 'Sp'){ //空间
        url = `/datacenter/${zone[param.type]}/update`;
    }
    console.log(data)
    return fetch({ method: 'POST', url: `${api}${url}`, data, headers: {'ProjectId': param.projectId} })
}